Name:           libevent
Version:        1.4.13
Release:        4%{?dist}
Summary:        Abstract asynchronous event notification library

Group:          System Environment/Libraries
License:        BSD
URL:            http://monkey.org/~provos/libevent/
Source0:        http://monkey.org/~provos/libevent-%{version}-stable.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: doxygen

Patch00: libevent-1.4.13-stable-configure.patch

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. libevent is meant to replace the asynchronous event
loop found in event driven network servers. An application just needs
to call event_dispatch() and can then add or remove events dynamically
without having to change the event loop.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-headers = %{version}-%{release}
Requires: %{name}-doc = %{version}-%{release}

%description devel
This package contains the static libraries documentation for %{name}. 
If you like to develop programs using %{name}, you will need 
to install %{name}-devel.

%package doc
Summary: Development documentation for %{name}
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
BuildArch: noarch

%description doc
This package contains the development documentation for %{name}. 
If you like to develop programs using %{name}-devel, you will 
need to install %{name}-doc.

%package headers
Summary: Header file for development  for %{name}
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
BuildArch: noarch

%description headers
This package contains the header files for %{name}. If you like to 
develop programs using %{name}, you will need to install %{name}-devel.

%prep
%setup -q -n libevent-%{version}-stable

# 477685 -  libevent-devel multilib conflict
%patch00 -p1

%build
%configure \
    --disable-dependency-tracking
make %{?_smp_mflags}

# Create the docs
make doxygen

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-devel-%{version}/html
(cd doxygen/html; \
	install *.* $RPM_BUILD_ROOT/%{_docdir}/%{name}-devel-%{version}/html)

mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-devel-%{version}/latex
(cd doxygen/latex; \
	install *.* $RPM_BUILD_ROOT/%{_docdir}/%{name}-devel-%{version}/latex)

mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-devel-%{version}/man/man3
(cd doxygen/man/man3; \
	install *.3 $RPM_BUILD_ROOT/%{_docdir}/%{name}-devel-%{version}/man/man3)

mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-devel-%{version}/sample
(cd sample; \
	install *.c Makefile* $RPM_BUILD_ROOT/%{_docdir}/%{name}-devel-%{version}/sample)

%check
make verify

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README
%{_libdir}/libevent-*.so.*
%{_libdir}/libevent_core-*.so.*
%{_libdir}/libevent_extra-*.so.*

%files devel
%defattr(-,root,root,0755)
%{_libdir}/libevent.so
%{_libdir}/libevent.a
%{_libdir}/libevent_core.so
%{_libdir}/libevent_core.a
%{_libdir}/libevent_extra.so
%{_libdir}/libevent_extra.a

%{_bindir}/event_rpcgen.*

%{_mandir}/man3/*

%files doc
%defattr(-,root,root,0644)
%{_docdir}/%{name}-devel-%{version}/html/*
%{_docdir}/%{name}-devel-%{version}/latex/*
%{_docdir}/%{name}-devel-%{version}/man/man3/*
%{_docdir}/%{name}-devel-%{version}/sample/*

%files headers
%{_includedir}/event.h
%{_includedir}/evdns.h
%{_includedir}/evhttp.h
%{_includedir}/evrpc.h
%{_includedir}/event-config.h
%{_includedir}/evutil.h
%defattr(-,root,root,0644)


%changelog

